Get Execution by ID
curl --request GET \
--url https://platform.kodexa.ai/api/executions/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://platform.kodexa.ai/api/executions/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://platform.kodexa.ai/api/executions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"assistantId": "<string>",
"changeSequence": 123,
"context": {},
"createdOn": "2023-11-07T05:31:56Z",
"description": "<string>",
"documentFamilyId": "<string>",
"endDate": "2023-11-07T05:31:56Z",
"exceptionDetails": {
"advice": "<string>",
"cause": "<unknown>",
"description": "<string>",
"documentationUrl": "<string>",
"errorMessage": "<string>",
"errorType": "<string>",
"executedVersion": "<string>",
"help": "<string>",
"message": "<string>",
"optionErrors": {},
"stackTrace": [
"<unknown>"
],
"statusCode": 123,
"validationErrors": [
{
"description": "<string>",
"message": "<string>",
"option": "<string>"
}
]
},
"id": "<string>",
"idempotencyKey": "<string>",
"organizationId": "<string>",
"parentExecutionId": "<string>",
"pipeline": {
"exceptions": [
{
"advice": "<string>",
"cause": "<unknown>",
"description": "<string>",
"documentationUrl": "<string>",
"errorMessage": "<string>",
"errorType": "<string>",
"executedVersion": "<string>",
"help": "<string>",
"message": "<string>",
"optionErrors": {},
"stackTrace": [
"<unknown>"
],
"statusCode": 123,
"validationErrors": [
{
"description": "<string>",
"message": "<string>",
"option": "<string>"
}
]
}
],
"id": "<string>",
"ref": "<string>",
"steps": [
{
"conditional": "<string>",
"context": {},
"end": "<string>",
"exceptionDetails": {
"advice": "<string>",
"cause": "<unknown>",
"description": "<string>",
"documentationUrl": "<string>",
"errorMessage": "<string>",
"errorType": "<string>",
"executedVersion": "<string>",
"help": "<string>",
"message": "<string>",
"optionErrors": {},
"stackTrace": [
"<unknown>"
],
"statusCode": 123,
"validationErrors": [
{
"description": "<string>",
"message": "<string>",
"option": "<string>"
}
]
},
"executionPolicy": {
"backoffBaseSeconds": 123,
"backoffStrategy": "<string>",
"maxAttempts": 123,
"onExhausted": "<string>",
"timeoutSeconds": 123
},
"extensionPackRef": "<string>",
"id": "<string>",
"inputId": "<string>",
"name": "<string>",
"optionTypes": {},
"options": {},
"outputId": "<string>",
"outputIds": "<string>",
"processingTime": 123,
"progress": 123,
"progressMax": 123,
"ref": "<string>",
"start": "<string>",
"statusMessage": "<string>",
"stepType": "MODULE"
}
],
"valid": true
},
"priority": 123,
"processingTime": 123,
"sessionId": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"statusDetails": {
"detail": "<string>",
"message": "<string>",
"progress": 123,
"progressMax": 123,
"stepStatus": "<string>"
},
"targets": {
"instances": [
{
"contentObjectId": "<string>",
"documentFamilyId": "<string>",
"labelsToApply": [
"<string>"
],
"ref": "<string>",
"taxonomyRefs": [
"<string>"
],
"type": "<string>"
}
]
},
"updatedOn": "2023-11-07T05:31:56Z",
"uuid": "<string>"
}Executions
Get Execution by ID
Retrieves a single Execution by its unique identifier. Executions record the details and results of processing sessions.
GET
/
api
/
executions
/
{id}
Get Execution by ID
Authorizations
x-api-keybearerAuth
API key for authentication. Create one from the Kodexa platform UI under Settings > Access Tokens.
Path Parameters
Unique identifier (UUID) of the resource.
Response
The Execution
An execution records the details and results of a processing session.
Optimistic locking version number.
Show child attributes
Show child attributes
Timestamp when the execution was created.
Show child attributes
Show child attributes
Unique identifier (UUID) for the execution.
Show child attributes
Show child attributes
Available options:
PENDING, RUNNING, SUCCEEDED, FAILED, REQUESTED, SKIPPED, CANCELLING, CANCELLED, PENDING_REPROCESSING, REPROCESSED Show child attributes
Show child attributes
Show child attributes
Show child attributes
Timestamp when the execution was last updated.
Secondary UUID identifier.
⌘I
